<!--Formulario-->
<form [formGroup]="form" (ngSubmit)="registrar()">
    <app-menu></app-menu>
    <div class="container">
        <div class="row">
            <mat-toolbar color="primary">
                <span>Asignar Libro a Autor</span>
            </mat-toolbar>
        </div>
        <div class="row" style="margin-top: 3%" id="formulario">

            <!-- Autor -->
            <mat-form-field class="col-md-8">
                <mat-label>Autor</mat-label>
                <mat-select formControlName="autor" (selectionChange)="onAutorSelectionChange($event.value)">
                    <mat-option value="-1"> [Seleccione] </mat-option>
                    <mat-option *ngFor="let x of lstAutor" [value]="x.idAutor">{{ x.nombres
                        }} {{x.apellidos}}</mat-option>
                </mat-select>
                <mat-error *ngIf="form.get('autor')?.hasError('required')">
                    Este campo es obligatorio.
                </mat-error>
            </mat-form-field>

            <!-- Libro -->
            <mat-form-field class="col-md-8">
                <mat-label>Libro</mat-label>
                <mat-select formControlName="libro">
                    <mat-option value="-1"> [Seleccione] </mat-option>
                    <mat-option *ngFor="let x of lstLibro" [value]="x.idLibro">{{ x.titulo
                        }}</mat-option>
                </mat-select>
                <mat-error *ngIf="form.get('libro')?.hasError('required')">
                    Este campo es obligatorio.
                </mat-error>
            </mat-form-field>

        </div>
        <div class="row">
            <button mat-raised-button type="submit" color="primary" [disabled]="!form.valid">Registra</button>
        </div>
    </div>
</form>

<br>

<div class="col-12">
    <div class="mat-elevation-z8">
        <mat-table class="mat-elevation-z8" [dataSource]="dataSource" style="width: 100%;">

            <ng-container matColumnDef="idLibro">
                <th mat-header-cell *matHeaderCellDef style="width: 200px">Id Libro</th>
                <td mat-cell *matCellDef="let aux" style="width: 200px; height: 40px;">{{ aux.libro.idLibro }}</td>
            </ng-container>

            <ng-container matColumnDef="titulo">
                <th mat-header-cell *matHeaderCellDef style="width: 200px">Título</th>
                <td mat-cell *matCellDef="let aux" style="width: 200px; height: 40px;">{{ aux.libro.titulo }}</td>
            </ng-container>

            <ng-container matColumnDef="idAutor">
                <th mat-header-cell *matHeaderCellDef style="width: 200px">Id Autor</th>
                <td mat-cell *matCellDef="let aux" style="width: 200px; height: 40px;">{{ aux.autor.idAutor }}</td>
            </ng-container>

            <ng-container matColumnDef="nombreAutor">
                <th mat-header-cell *matHeaderCellDef style="width: 200px">Nombres del Autor</th>
                <td mat-cell *matCellDef="let aux" style="width: 200px; height: 40px;">{{ aux.autor.nombres }}</td>
            </ng-container>

            <ng-container matColumnDef="apellidoAutor">
                <th mat-header-cell *matHeaderCellDef style="width: 200px">Apellidos del Autor</th>
                <td mat-cell *matCellDef="let aux" style="width: 200px; height: 40px;">{{ aux.autor.apellidos }}</td>
            </ng-container>

            <ng-container matColumnDef="eliminar">
                <th mat-header-cell *matHeaderCellDef style="width: 200px">Eliminar Autor Asignado</th>
                <td mat-cell *matCellDef="let aux" style="width: 200px; height: 40px;">

                    <button mat-raised-button color="warn" aria-label="Eliminar Autor Asignado"
                        (click)="eliminarLibroHasAutor(aux)" style="width: auto; height: 20px;">
                        <mat-icon>delete</mat-icon>
                        Eliminar
                    </button>
                </td>
            </ng-container>


            <mat-header-row *matHeaderRowDef="displayedColumns"></mat-header-row>
            <mat-row *matRowDef="let aux; columns: displayedColumns"></mat-row>
        </mat-table>
        <mat-paginator [pageSizeOptions]="[2, 4, 6]" showFirstLastButtons></mat-paginator>
    </div>
    <div class="container" style="margin-top: 2%;">
        <div class="row"></div>
    </div>
</div>

<br><br><br>